package com.common.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Created by SiKang on 2018/9/14.
 */
public class LoanInfo implements Serializable {
    private LatestLoanAppBean latestLoanAppBean;
    private UserBankInfo userBankInfo;

    private LoaningAmoutBean loaningAmoutInfo;

    private List<BankBean> bankList;

    public LatestLoanAppBean getLatestLoanAppBean() {
        return latestLoanAppBean;
    }

    public void setLatestLoanAppBean(LatestLoanAppBean latestLoanAppBean) {
        this.latestLoanAppBean = latestLoanAppBean;
    }

    public UserBankInfo getUserBankInfo() {
        return userBankInfo;
    }

    public void setUserBankInfo(UserBankInfo userBankInfo) {
        this.userBankInfo = userBankInfo;
    }

    public LoaningAmoutBean getLoaningAmoutInfo() {
        return loaningAmoutInfo;
    }

    public void setLoaningAmoutInfo(LoaningAmoutBean loaningAmoutInfo) {
        this.loaningAmoutInfo = loaningAmoutInfo;
    }

    public List<BankBean> getBankList() {
        return bankList;
    }

    public String[] getBankNameArray() {
        if (bankList == null || bankList.size() == 0) {
            return null;
        }
        String[] bankArray = new String[bankList.size()];
        for (int i = 0; i < bankList.size(); i++) {
            bankArray[i] = bankList.get(i).getBankName();
        }
        return bankArray;
    }

    public void setBankList(List<BankBean> bankList) {
        this.bankList = bankList;
    }


}
